/**************************************************************************/
/*                                                                        */
/*  Thibaut Balabonski, Sylvain Conchon, Jean-Christophe Filliâtre,       */
/*  Kim Nguyen, Laurent Sartre                                            */
/*                                                                        */
/*  Informatique - MP2I/MPI - CPGE 1re et 2e années.                      */
/*  Cours et exercices corrigés. Éditions Ellipses, 2022.                 */
/*                                                                        */
/*  https://www.informatique-mpi.fr/                                      */
/*                                                                        */
/**************************************************************************/

// Recherche d'un motif dans un texte avec l'algorithme de Rabin--Karp

#include "prelude.h"

#ifndef RABIN_KARP
#define RABIN_KARP

int rabin_karp(char *m, char *t);
// affiche toutes les occurrences de `m` dans `t`
// et renvoie le nombre d'occurrences
// (mais si `m` est la chaîne vide, renvoie le nombre sans rien afficher)

#endif
